package com.ruoyi.system.mapper;

import com.alibaba.fastjson.JSONObject;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author Shawn
 */
public interface StatisticsMapper {
    public JSONObject getSalary1Statictics(@Param("unit") String unit, @Param("startYearMonth") String startYearMonth, @Param("endYearMonth") String endYearMonth);
    public JSONObject getSalary2Statictics(@Param("unit") String unit,@Param("startYearMonth") String startYearMonth, @Param("endYearMonth") String endYearMonth);
    public JSONObject getSalary3Statictics(@Param("unit") String unit,@Param("startYearMonth") String startYearMonth, @Param("endYearMonth") String endYearMonth);
    public JSONObject getB14cStatictics(@Param("unit") String unit,@Param("start") String start,@Param("end") String end);
    public JSONObject getB15cStatictics(@Param("unit") String unit,@Param("start") String start,@Param("end") String end);
    public JSONObject getB16Statictics(@Param("unit") String unit,@Param("start") String start,@Param("end") String end);
    public JSONObject getB17Statictics(@Param("unit") String unit,@Param("start") String start,@Param("end") String end);
    public JSONObject getB18Statictics(@Param("unit") String unit,@Param("start") String start,@Param("end") String end);
    public JSONObject getB19Statictics(@Param("unit") String unit,@Param("start") String start,@Param("end") String end);
    public JSONObject getbanlanceDayStatictics(@Param("unit") String unit,@Param("start") String start,@Param("end") String end);
    public JSONObject getbanlancePieceStatictics(@Param("unit") String unit,@Param("start") String start,@Param("end") String end);
    public JSONObject getIncomeStatictics(@Param("unit") String unit,@Param("startYearMonth") String startYearMonth, @Param("endYearMonth") String endYearMonth);
    public JSONObject getIncomebanlanceDayStatictics(@Param("unit") String unit,@Param("start") String start,@Param("end") String end);
    public JSONObject getIncomebanlancePieceStatictics(@Param("unit") String unit,@Param("start") String start,@Param("end") String end);



}
